#!/bin/sh
set -e

# From https://stackoverflow.com/a/360275
kill_child_jobs() {
    echo "In kill_child_jobs()..."
    # Workaround for https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482999
    tmp="$(mktemp)"
    jobs -p > "$tmp"
    child_pids=$(cat "$tmp")
    for child in $child_pids
    do
        echo Killing "$child"
        # From https://stackoverflow.com/a/11231970
        kill "$child" || true
    done

    rm "$tmp"
}
